List workflow templates
curl --request GET \
--url https://api.app.chainloop.dev/v1/workflow-templates \
--header 'Authorization: Bearer <token>'{
"templates": [
{
"singleton": true,
"delivery": [
"DELIVERY_MODE_UNSPECIFIED",
"DELIVERY_MODE_UNSPECIFIED"
],
"inputs_json_schema": "inputs_json_schema",
"updated_at": "2000-01-23T04:56:07.000Z",
"name": "name",
"description": "description",
"annotations": {
"key": "annotations"
},
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"manual_installation_description": "manual_installation_description",
"display_name": "display_name"
},
{
"singleton": true,
"delivery": [
"DELIVERY_MODE_UNSPECIFIED",
"DELIVERY_MODE_UNSPECIFIED"
],
"inputs_json_schema": "inputs_json_schema",
"updated_at": "2000-01-23T04:56:07.000Z",
"name": "name",
"description": "description",
"annotations": {
"key": "annotations"
},
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"manual_installation_description": "manual_installation_description",
"display_name": "display_name"
}
]
}List workflow templates
Lists all built-in workflow templates and their metadata. Available to any authenticated user.
GET
/
v1
/
workflow-templates
List workflow templates
curl --request GET \
--url https://api.app.chainloop.dev/v1/workflow-templates \
--header 'Authorization: Bearer <token>'{
"templates": [
{
"singleton": true,
"delivery": [
"DELIVERY_MODE_UNSPECIFIED",
"DELIVERY_MODE_UNSPECIFIED"
],
"inputs_json_schema": "inputs_json_schema",
"updated_at": "2000-01-23T04:56:07.000Z",
"name": "name",
"description": "description",
"annotations": {
"key": "annotations"
},
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"manual_installation_description": "manual_installation_description",
"display_name": "display_name"
},
{
"singleton": true,
"delivery": [
"DELIVERY_MODE_UNSPECIFIED",
"DELIVERY_MODE_UNSPECIFIED"
],
"inputs_json_schema": "inputs_json_schema",
"updated_at": "2000-01-23T04:56:07.000Z",
"name": "name",
"description": "description",
"annotations": {
"key": "annotations"
},
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"manual_installation_description": "manual_installation_description",
"display_name": "display_name"
}
]
}⌘I
